POST api/TermGroup/TermSet/Terms/Upsert?termsStoreId={termsStoreId}&termsGroupId={termsGroupId}&taxonomySetName={taxonomySetName}&taxonomyIdKey={taxonomyIdKey}&taxonomyId={taxonomyId}&taxonomyParentId={taxonomyParentId}&kleNumber={kleNumber}&taxonomyTitle={taxonomyTitle}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| termsStoreId | globally unique identifier |
Required |
|
| termsGroupId | globally unique identifier |
Required |
|
| taxonomySetName | string |
Required |
|
| taxonomyIdKey | string |
Required |
|
| taxonomyId | globally unique identifier |
Required |
|
| taxonomyParentId | globally unique identifier |
Required |
|
| kleNumber | string |
Required |
|
| taxonomyTitle | string |
Required |
Body Parameters
Dictionary of string [key] and string [value]Request Formats
application/json, text/json
Sample:
{
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
}
application/xml, text/xml
Sample:
<ArrayOfKeyValueOfstringstring xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<KeyValueOfstringstring>
<Key>sample string 1</Key>
<Value>sample string 2</Value>
</KeyValueOfstringstring>
<KeyValueOfstringstring>
<Key>sample string 3</Key>
<Value>sample string 4</Value>
</KeyValueOfstringstring>
</ArrayOfKeyValueOfstringstring>
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.